<?php

$fields[] = array(
	'id'          => 'ajax_init',
	'section'     => 'general',
	'label'       => esc_html__( 'Force Ajax Initialization', 'woo-floating-cart' ),
	'description' => esc_html__( 'Enable only if encountering caching issues / conflicts with your theme', 'woo-floating-cart' ),
	'type'        => 'radio-buttonset',
	'choices'     => array(
		'0' => esc_html__( 'No', 'woo-floating-cart' ),
		'1' => esc_html__( 'Yes', 'woo-floating-cart' )
	),
	'default'     => '0',
	'priority'    => 10,
	'transport'   => 'postMessage'
);

$fields[] = array(
	'id'          => 'active_cart_body_lock_scroll',
	'section'     => 'general',
	'label'       => esc_html__( 'Lock page scroll when active', 'woo-floating-cart' ),
	'description' => esc_html__( 'When the floating cart is open, lock main site body scroll', 'woo-floating-cart' ),
	'type'        => 'radio-buttonset',
	'choices'     => array(
		'0' => esc_html__( 'No', 'woo-floating-cart' ),
		'1' => esc_html__( 'Yes', 'woo-floating-cart' )
	),
	'default'     => '1',
	'priority'    => 10
);

$fields[] = array(
	'id'        => 'active_cart_body_overlay_color',
	'section'   => 'general',
	'label'     => esc_html__( 'Overlay Color', 'woo-floating-cart' ),
	'description' => esc_html__( 'Set the Overlay Color on top of the page content, behind the cart. This helps focusing on the cart.', 'woo-floating-cart' ),
	'type'      => 'color',
	'choices'   => array(
		'alpha' => true
	),
	'priority'  => 10,
	'default'   => 'rgba(0,0,0,.5)',
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => '.xt_woofc::before',
			'property' => 'background-color',
		)
	)
);

$fields[] = array(
	'id'        => 'position',
	'section'   => 'general',
	'label'     => esc_html__( 'Trigger / Cart Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-pos-',
			'media_query' => $customizer->media_query('desktop', 'min'),
		),
		array(
			'element'     => '.xt_woofc',
			'function'    => 'html',
			'attr'        => 'data-position',
			'media_query' => $customizer->media_query('desktop', 'min'),
		)
	),
	'default'   => 'bottom-right',
	'screen' => 'desktop'
);

$fields[] = array(
	'id'        => 'position_tablet',
	'section'   => 'general',
	'label'     => esc_html__( 'Trigger / Cart Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-tablet-pos-',
			'media_query' => $customizer->media_query('tablet', 'max'),
		),
		array(
			'element'     => '.xt_woofc',
			'function'    => 'html',
			'attr'        => 'data-tablet_position',
			'media_query' => $customizer->media_query('tablet', 'max'),
		)
	),
	'default'   => 'bottom-right',
	'screen' => 'tablet'
);

$fields[] = array(
	'id'        => 'position_mobile',
	'section'   => 'general',
	'label'     => esc_html__( 'Trigger / Cart Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-mobile-pos-',
			'media_query' => $customizer->media_query('mobile', 'max'),
		),
		array(
			'element'     => '.xt_woofc',
			'function'    => 'html',
			'attr'        => 'data-mobile_position',
			'media_query' => $customizer->media_query('mobile', 'max'),
		)
	),
	'default'   => 'bottom-right',
	'screen' => 'mobile'
);


$fields[] = array(
	'id'        => 'counter_position',
	'section'   => 'general',
	'label'     => esc_html__( 'Product Counter Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-counter-pos-',
			'media_query' => $customizer->media_query('desktop', 'min'),
		)
	),
	'default'   => 'top-left',
	'screen' => 'desktop'
);

$fields[] = array(
	'id'        => 'counter_position_tablet',
	'section'   => 'general',
	'label'     => esc_html__( 'Product Counter Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-counter-tablet-pos-',
			'media_query' => $customizer->media_query('tablet', 'max'),
		)
	),
	'default'   => 'top-left',
	'screen' => 'tablet'
);

$fields[] = array(
	'id'        => 'counter_position_mobile',
	'section'   => 'general',
	'label'     => esc_html__( 'Product Counter Position', 'woo-floating-cart' ),
	'type'      => 'radio',
	'priority'  => 10,
	'choices'   => array(
		'top-left'     => esc_html__( 'Top Left', 'woo-floating-cart' ),
		'top-right'    => esc_html__( 'Top Right', 'woo-floating-cart' ),
		'bottom-left'  => esc_html__( 'Bottom Left', 'woo-floating-cart' ),
		'bottom-right' => esc_html__( 'Bottom Right', 'woo-floating-cart' )
	),
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'     => '.xt_woofc',
			'function'    => 'class',
			'prefix'      => 'xt_woofc-counter-mobile-pos-',
			'media_query' => $customizer->media_query('mobile', 'max'),
		)
	),
	'default'   => 'top-left',
	'screen' => 'mobile'
);

if ( $this->core->access_manager()->can_use_premium_code__premium_only() ) {

    $fields[] = array(
        'id'        => 'animation_type',
        'section'   => 'general',
        'label'     => esc_html__( 'Animation Type', 'woo-floating-cart' ),
        'type'        => 'radio-buttonset',
        'priority'  => 10,
        'choices'   => array(
            'morph'     => esc_html__( 'Morph', 'woo-floating-cart' ),
            'slide'    => esc_html__( 'Slide', 'woo-floating-cart' )
        ),
        'transport' => 'postMessage',
        'js_vars'   => array(
            array(
                'element'     => '.xt_woofc',
                'function'    => 'class',
                'prefix'      => 'xt_woofc-animation-'
            ),
            array(
                'element'     => '.xt_woofc',
                'function'    => 'html',
                'attr'        => 'data-animation',
            )
        ),
        'default'   => 'morph'
    );

    $fields[] = array(
		'id'        => 'trigger_size',
		'section'   => 'general',
		'label'     => esc_html__( 'Trigger Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '40',
			'max'  => '100',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '72',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => array(
					'.xt_woofc-is-desktop .xt_woofc-trigger',
					'.xt_woofc-is-desktop .xt_woofc-inner .xt_woofc-wrapper'
				),
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-desktop .xt_woofc-trigger',
					'.xt_woofc-is-desktop .xt_woofc-inner .xt_woofc-wrapper',
					'.xt_woofc-animation-morph.xt_woofc-is-desktop .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-desktop .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-is-desktop .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-desktop .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'line-height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-desktop .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-desktop .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'font-size',
				'value_pattern' => 'calc($px * 0.55)'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-pos-bottom-left .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-pos-top-left .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-left',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-pos-bottom-right .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-pos-top-right .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-right',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-desktop .xt_woofc-inner .xt_woofc-body',
				),
				'property'      => 'height',
				'value_pattern' => 'calc(100% - 40px - $px)'
			)
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'        => 'trigger_size_tablet',
		'section'   => 'general',
		'label'     => esc_html__( 'Trigger Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '40',
			'max'  => '100',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '72',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => array(
					'.xt_woofc-is-tablet .xt_woofc-trigger',
					'.xt_woofc-is-tablet .xt_woofc-inner .xt_woofc-wrapper'
				),
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-tablet .xt_woofc-trigger',
					'.xt_woofc-is-tablet .xt_woofc-inner .xt_woofc-wrapper',
					'.xt_woofc-animation-morph.xt_woofc-is-tablet .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-tablet .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-is-tablet .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-tablet .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'line-height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-tablet .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-tablet .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'font-size',
				'value_pattern' => 'calc($px * 0.55)'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-left .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-left .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-left',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-right .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-right .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-right',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-tablet .xt_woofc-inner .xt_woofc-body',
				),
				'property'      => 'height',
				'value_pattern' => 'calc(100% - 40px - $px)'
			)
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'        => 'trigger_size_mobile',
		'section'   => 'general',
		'label'     => esc_html__( 'Trigger Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '40',
			'max'  => '100',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '72',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => array(
					'.xt_woofc-is-mobile .xt_woofc-trigger',
					'.xt_woofc-is-mobile .xt_woofc-inner .xt_woofc-wrapper'
				),
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-mobile .xt_woofc-trigger',
					'.xt_woofc-is-mobile .xt_woofc-inner .xt_woofc-wrapper',
					'.xt_woofc-animation-morph.xt_woofc-is-mobile .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-mobile .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-is-mobile .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-mobile .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'line-height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-is-mobile .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-close-icon:before',
					'.xt_woofc-is-mobile .xt_woofc-trigger.xt_woofc-icontype-font .xt_woofc-trigger-cart-icon:before'
				),
				'property'      => 'font-size',
				'value_pattern' => 'calc($px * 0.55)'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-left .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-left .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-left',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-right .xt_woofc-inner a.xt_woofc-checkout',
					'.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-right .xt_woofc-inner a.xt_woofc-checkout'
				),
				'property'      => 'margin-right',
				'value_pattern' => '$px'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-morph.xt_woofc-is-mobile .xt_woofc-inner .xt_woofc-body',
				),
				'property'      => 'height',
				'value_pattern' => 'calc(100% - 40px - $px)'
			)
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'        => 'counter_size',
		'section'   => 'general',
		'label'     => esc_html__( 'Product Counter Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '20',
			'max'  => '40',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '25',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(

			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.7)'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.7)'
			)
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'        => 'counter_size_tablet',
		'section'   => 'general',
		'label'     => esc_html__( 'Product Counter Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '20',
			'max'  => '40',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '25',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(

			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.7)'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.7)'
			)
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'        => 'counter_size_mobile',
		'section'   => 'general',
		'label'     => esc_html__( 'Product Counter Size', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '20',
			'max'  => '40',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '25',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(

			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'width',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count',
				'property'      => 'height',
				'value_pattern' => '$px'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count-big',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.3)'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'width',
				'value_pattern' => 'calc($px * 1.7)'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-trigger .xt_woofc-count-bigger',
				'property'      => 'height',
				'value_pattern' => 'calc($px * 1.7)'
			)
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'        => 'hoffset',
		'section'   => 'general',
		'label'     => esc_html__( 'Horizontal Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'priority'  => 10,
		'default'   => '20',
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'margin-left',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'margin-right',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'max-width',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
			   'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-bottom-left .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-top-left .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-bottom-right .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-top-right .xt_woofc-wrapper',
			   ),
			   'property'      => 'transform',
			   'value_pattern' => 'translateX(calc(100% + $px))'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-bottom-right .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-top-right .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-bottom-left .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-desktop.xt_woofc-pos-top-left .xt_woofc-wrapper',
				),
				'property'      => 'transform',
				'value_pattern' => 'translateX(calc(-100% - $px))'
			)
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'        => 'hoffset_tablet',
		'section'   => 'general',
		'label'     => esc_html__( 'Horizontal Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'priority'  => 10,
		'default'   => '20',
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'margin-left',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'margin-right',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'max-width',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-left .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-left .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-right .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-right .xt_woofc-wrapper',
				),
				'property'      => 'transform',
				'value_pattern' => 'translateX(calc(100% + $px))'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-right .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-right .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-bottom-left .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-tablet.xt_woofc-tablet-pos-top-left .xt_woofc-wrapper',
				),
				'property'      => 'transform',
				'value_pattern' => 'translateX(calc(-100% - $px))'
			)
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'        => 'hoffset_mobile',
		'section'   => 'general',
		'label'     => esc_html__( 'Horizontal Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'priority'  => 10,
		'default'   => '0',
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'margin-left',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'margin-right',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'max-width',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-left .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-left .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-right .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-right .xt_woofc-wrapper'
				),
				'property'      => 'transform',
				'value_pattern' => 'translateX(calc(100% + $px))'
			),
			array(
				'element'       => array(
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-right .xt_woofc-trigger',
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-right .xt_woofc-trigger',

					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-bottom-left .xt_woofc-wrapper',
					'.xt_woofc-animation-slide.xt_woofc-is-mobile.xt_woofc-mobile-pos-top-left .xt_woofc-wrapper'
				),
				'property'      => 'transform',
				'value_pattern' => 'translateX(calc(-100% - $px))'
			)
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'        => 'voffset',
		'section'   => 'general',
		'label'     => esc_html__( 'Vertical Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '20',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'margin-top',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'margin-bottom',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 46px)'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 32px)',
				'media_query'   => $customizer->media_query('desktop', 'min'),
			)
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'        => 'voffset_tablet',
		'section'   => 'general',
		'label'     => esc_html__( 'Vertical Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '20',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'margin-top',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'margin-bottom',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 46px)'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 32px)',
				'media_query'   => $customizer->media_query('desktop', 'min'),
			)
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'        => 'voffset_mobile',
		'section'   => 'general',
		'label'     => esc_html__( 'Vertical Offset', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '300',
			'step' => '1',
            'suffix' => 'px',
		),
		'default'   => '0',
		'priority'  => 10,
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'margin-top',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'margin-bottom',
				'value_pattern' => '$px!important'
			),
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - ($px * 2))'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 46px)'
			),
			array(
				'element'       => '.admin-bar .xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'max-height',
				'value_pattern' => 'calc(100% - (($px * 2)) - 32px)',
				'media_query'   => $customizer->media_query('desktop', 'min'),
			)
		),
		'screen' => 'mobile'
	);


    $fields[] = array(
        'id'        => 'cart_autoheight_enabled',
        'section'   => 'general',
        'label'     => esc_html__( 'Cart Auto Height', 'woo-floating-cart' ),
        'type'        => 'radio-buttonset',
        'priority'  => 10,
        'choices'   => array(
            '0'    => esc_html__( 'Disabled', 'woo-floating-cart' ),
            '1'     => esc_html__( 'Enabled', 'woo-floating-cart' )
        ),
        'transport' => 'postMessage',
        'default'   => '0'
    );

    $fields[] = array(
		'id'        => 'cart_dimensions_unit',
		'section'   => 'general',
		'label'     => esc_html__( 'Cart Dimensions Unit', 'woo-floating-cart' ),
		'type'        => 'radio-buttonset',
		'priority'  => 10,
		'choices'   => array(
			'pixels'     => esc_html__( 'Pixels', 'woo-floating-cart' ),
			'percent'    => esc_html__( 'Percent', 'woo-floating-cart' )
		),
		'transport' => 'auto',
		'default'   => 'pixels'
	);

	$fields[] = array(
		'id'              => 'cart_width',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '250',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '440',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'pixels',
			),
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'              => 'cart_height',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '240',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '400',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_autoheight_enabled',
				'operator' => '!=',
				'value'    => '1',
			),
            array(
                'setting'  => 'cart_dimensions_unit',
                'operator' => '==',
                'value'    => 'pixels',
            ),
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'              => 'cart_width_percent',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '30',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '30',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$vw'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'              => 'cart_height_percent',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '30',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '50',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-desktop .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$vh'
			)
		),
		'active_callback' => array(
            array(
                'setting'  => 'cart_autoheight_enabled',
                'operator' => '!=',
                'value'    => '1',
            ),
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'desktop'
	);

	$fields[] = array(
		'id'              => 'cart_width_tablet',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '250',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '440',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'pixels',
			),
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'              => 'cart_height_tablet',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '240',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '400',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
            array(
                'setting'  => 'cart_autoheight_enabled',
                'operator' => '!=',
                'value'    => '1',
            ),
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'pixels',
			),
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'              => 'cart_width_percent_tablet',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '30',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '40',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$vw'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'              => 'cart_height_percent_tablet',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '30',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '80',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-tablet .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$vh'
			)
		),
		'active_callback' => array(
            array(
                'setting'  => 'cart_autoheight_enabled',
                'operator' => '!=',
                'value'    => '1',
            ),
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'tablet'
	);

	$fields[] = array(
		'id'              => 'cart_width_mobile',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '250',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '440',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'pixels',
			),
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'              => 'cart_height_mobile',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (px)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '240',
			'max'  => '1000',
			'step' => '5',
            'suffix' => 'px',
		),
		'default'         => '1000',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$px'
			)
		),
		'active_callback' => array(
            array(
                'setting'  => 'cart_autoheight_enabled',
                'operator' => '!=',
                'value'    => '1',
            ),
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'pixels',
			),
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'              => 'cart_width_percent_mobile',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Width (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '60',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '100',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'width',
				'value_pattern' => '$vw'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'mobile'
	);

	$fields[] = array(
		'id'              => 'cart_height_percent_mobile',
		'section'         => 'general',
		'label'           => esc_html__( 'Cart Height (%)', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '30',
			'max'  => '100',
			'step' => '1',
            'suffix' => '%',
		),
		'default'         => '100',
		'priority'        => 10,
		'transport'       => 'auto',
		'output'          => array(
			array(
				'element'       => '.xt_woofc-is-mobile .xt_woofc-inner',
				'property'      => 'height',
				'value_pattern' => '$vh'
			)
		),
		'active_callback' => array(
            array(
                'setting'  => 'cart_autoheight_enabled',
                'operator' => '!=',
                'value'    => '1',
            ),
			array(
				'setting'  => 'cart_dimensions_unit',
				'operator' => '==',
				'value'    => 'percent',
			),
		),
		'screen' => 'mobile'
	);

    $fields[] = array(
        'id'        => 'border_radius',
        'section'   => 'general',
        'label'     => esc_html__( 'Closed Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-desktop:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-desktop:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-desktop:not(.xt_woofc-cart-open) .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-desktop:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            )
        ),
        'screen' => 'desktop'
    );

    $fields[] = array(
        'id'        => 'border_radius_tablet',
        'section'   => 'general',
        'label'     => esc_html__( 'Closed Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-tablet:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-tablet:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-tablet:not(.xt_woofc-cart-open) .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-tablet:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            )
        ),
        'screen' => 'tablet'
    );

    $fields[] = array(
        'id'        => 'border_radius_mobile',
        'section'   => 'general',
        'label'     => esc_html__( 'Closed Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-mobile:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-mobile:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-mobile:not(.xt_woofc-cart-open) .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-mobile:not(.xt_woofc-cart-open) .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            )
        ),
        'screen' => 'mobile'
    );

    $fields[] = array(
        'id'        => 'border_radius_expanded',
        'section'   => 'general',
        'label'     => esc_html__( 'Opened Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-desktop.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-desktop.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-desktop.xt_woofc-cart-open .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-top-right .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-bottom-right .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-top-left .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-bottom-left .xt_woofc-checkout',
                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-top-left .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-bottom-left .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-top-right .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-desktop.xt_woofc-cart-open.xt_woofc-pos-bottom-right .xt_woofc-checkout',
                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 0 $px'
            ),
            array(
                'element'       => '.xt_woofc-is-desktop.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-desktop.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px $px'
            )
        ),
        'screen' => 'desktop'
    );

    $fields[] = array(
        'id'        => 'border_radius_expanded_tablet',
        'section'   => 'general',
        'label'     => esc_html__( 'Opened Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-tablet.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-tablet.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-tablet.xt_woofc-cart-open .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => array(

                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-top-right .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-bottom-right .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-top-left .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-bottom-left .xt_woofc-checkout',
                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-top-left .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-bottom-left .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-top-right .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-tablet.xt_woofc-cart-open.xt_woofc-tablet-pos-bottom-right .xt_woofc-checkout',
                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 0 $px'
            ),
            array(
                'element'       => '.xt_woofc-is-tablet.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-tablet.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px $px'
            )
        ),
        'screen' => 'tablet'
    );

    $fields[] = array(
        'id'        => 'border_radius_expanded_mobile',
        'section'   => 'general',
        'label'     => esc_html__( 'Opened Cart Border Radius', 'woo-floating-cart' ),
        'type'      => 'slider',
        'choices'   => array(
            'min'  => '0',
            'max'  => '35',
            'step' => '1',
            'suffix' => 'px',
        ),
        'default'   => '6',
        'priority'  => 10,
        'transport' => 'auto',
        'output'    => array(
            array(
                'element'       => '.xt_woofc-is-mobile.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-header',
                'property'      => 'border-radius',
                'value_pattern' => '$px $px 0 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-is-mobile.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-wrapper',
                    '.xt_woofc-is-mobile.xt_woofc-cart-open .xt_woofc-trigger'
                ),
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-top-right .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-bottom-right .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-top-left .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-bottom-left .xt_woofc-checkout',

                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px 0'
            ),
            array(
                'element'       => array(
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-top-left .xt_woofc-trigger',
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-bottom-left .xt_woofc-trigger',

                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-top-right .xt_woofc-checkout',
                    '.xt_woofc-animation-morph.xt_woofc-is-mobile.xt_woofc-cart-open.xt_woofc-mobile-pos-bottom-right .xt_woofc-checkout',
                ),
                'property'      => 'border-radius',
                'value_pattern' => '0 0 0 $px'
            ),
            array(
                'element'       => '.xt_woofc-is-mobile.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '$px'
            ),
            array(
                'element'       => '.xt_woofc-is-mobile.xt_woofc-cart-open .xt_woofc-inner .xt_woofc-footer',
                'property'      => 'border-radius',
                'value_pattern' => '0 0 $px $px'
            )
        ),
        'screen' => 'mobile'
    );

	$fields[] = array(
		'id'       => 'flytocart_animation',
		'section'  => 'general',
		'label'    => esc_html__( 'Enable Fly To Cart animation', 'woo-floating-cart' ),
		'type'        => 'radio-buttonset',
		'choices'     => array(
			'0' => esc_html__( 'No', 'woo-floating-cart' ),
			'1' => esc_html__( 'Yes', 'woo-floating-cart' )
		),
		'default'  => '1',
		'priority' => 10
	);

	$fields[] = array(
		'id'              => 'flytocart_animation_duration',
		'section'         => 'general',
		'label'           => esc_html__( 'Fly To Cart animation Duration', 'woo-floating-cart' ),
		'type'            => 'slider',
		'choices'         => array(
			'min'  => '300',
			'max'  => '2000',
			'step' => '10',
            'suffix' => 'ms',
		),
		'priority'        => 10,
		'default'         => 650,
		'transport'       => 'postMessage',
		'js_vars'         => array(
			array(
				'element'  => '.xt_woofc',
				'function' => 'html',
				'attr'     => 'data-flyduration'
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'flytocart_animation',
				'operator' => '==',
				'value'    => '1',
			),
		)
	);

	$fields[] = array(
		'id'        => 'shake_trigger',
		'section'   => 'general',
		'label'     => esc_html__( 'Shake Trigger after adding products', 'woo-floating-cart' ),
		'type'      => 'radio',
		'priority'  => 10,
		'choices'   => array(
			''           => esc_html__( 'No Shake', 'woo-floating-cart' ),
			'horizontal' => esc_html__( 'Horizontal Shake', 'woo-floating-cart' ),
			'vertical'   => esc_html__( 'Vertical Shake', 'woo-floating-cart' ),
		),
		'default'   => 'vertical',
		'transport' => 'postMessage',
		'js_vars'   => array(
			array(
				'element'  => '.xt_woofc',
				'function' => 'html',
				'attr'     => 'data-shaketrigger'
			)
		)
	);

	$fields[] = array(
		'id'        => 'open_cart_on_product_add',
		'section'   => 'general',
		'label'     => esc_html__( 'Open cart after adding products', 'woo-floating-cart' ),
		'type'      => 'radio-buttonset',
		'choices'   => array(
			'0' => esc_html__( 'No', 'woo-floating-cart' ),
			'1' => esc_html__( 'Yes', 'woo-floating-cart' )
		),
		'default'   => '0',
		'priority'  => 10,
		'transport' => 'postMessage',
		'js_vars'   => array(
			array(
				'element'  => '.xt_woofc',
				'function' => 'html',
				'attr'     => 'data-opencart-onadd'
			)
		)
	);

	$fields[] = array(
		'id'        => 'loading_spinner',
		'section'   => 'general',
		'label'     => esc_html__( 'In Cart Loading Spinner', 'woo-floating-cart' ),
		'type'      => 'radio',
		'priority'  => 10,
		'choices'   => array(
			'0'                 => esc_html__( 'No Spinner', 'woo-floating-cart' ),
			'1-rotating-plane'  => esc_html__( 'Rotating Plane', 'woo-floating-cart' ),
			'2-double-bounce'   => esc_html__( 'Double Bounce', 'woo-floating-cart' ),
			'3-wave'            => esc_html__( 'Wave', 'woo-floating-cart' ),
			'4-wandering-cubes' => esc_html__( 'Wandering Cubes', 'woo-floating-cart' ),
			'5-pulse'           => esc_html__( 'Pulse', 'woo-floating-cart' ),
			'6-chasing-dots'    => esc_html__( 'Chasing Dots', 'woo-floating-cart' ),
			'7-three-bounce'    => esc_html__( 'Three Bounce', 'woo-floating-cart' ),
			'8-circle'          => esc_html__( 'Circle', 'woo-floating-cart' ),
			'9-cube-grid'       => esc_html__( 'Cube Grid', 'woo-floating-cart' ),
			'10-fading-circle'  => esc_html__( 'Fading Circle', 'woo-floating-cart' ),
			'11-folding-cube'   => esc_html__( 'Folding Cube', 'woo-floating-cart' ),
			'loading-text'      => esc_html__( 'Boring Loading Text', 'woo-floating-cart' )
		),
		'transport' => 'postMessage',
		'default'   => '7-three-bounce'
	);

	$fields[] = array(
		'id'        => 'loading_spinner_color',
		'section'   => 'general',
		'label'     => esc_html__( 'In Cart Loading Spinner Color', 'woo-floating-cart' ),
		'type'      => 'color',
		'priority'  => 10,
		'default'   => '#2c97de',
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'  => array(
					'.xt_woofc-spinner-rotating-plane',
					'.xt_woofc-spinner-double-bounce .xt_woofc-spinner-child',
					'.xt_woofc-spinner-wave .xt_woofc-spinner-rect',
					'.xt_woofc-spinner-wandering-cubes .xt_woofc-spinner-cube',
					'.xt_woofc-spinner-spinner-pulse',
					'.xt_woofc-spinner-chasing-dots .xt_woofc-spinner-child',
					'.xt_woofc-spinner-three-bounce .xt_woofc-spinner-child',
					'.xt_woofc-spinner-circle .xt_woofc-spinner-child:before',
					'.xt_woofc-spinner-cube-grid .xt_woofc-spinner-cube',
					'.xt_woofc-spinner-fading-circle .xt_woofc-spinner-circle:before',
					'.xt_woofc-spinner-folding-cube .xt_woofc-spinner-cube:before',
				),
				'property' => 'background-color',
			),
			array(
				'element'  => '.xt_woofc-spinner-loading-text',
				'property' => 'color',
			)
		)
	);

	$fields[] = array(
		'id'        => 'loading_overlay_color',
		'section'   => 'general',
		'label'     => esc_html__( 'In Cart Loading Overlay Color', 'woo-floating-cart' ),
		'type'      => 'color',
		'priority'  => 10,
		'default'   => 'rgba(255,255,255,0.5)',
		'transport' => 'auto',
		'output'    => array(
			array(
				'element'  => '.xt_woofc-spinner-wrap',
				'property' => 'background-color',
			)
		)
	);

	$fields[] = array(
		'id'        => 'loading_timeout',
		'section'   => 'general',
		'label'     => esc_html__( 'In Cart Loading Spinner Extra Delay', 'woo-floating-cart' ),
		'type'      => 'slider',
		'choices'   => array(
			'min'  => '0',
			'max'  => '2000',
			'step' => '10',
            'suffix' => 'ms',
		),
		'priority'  => 10,
		'default'   => 300,
		'transport' => 'postMessage',
		'js_vars'   => array(
			array(
				'element'  => '.xt_woofc',
				'function' => 'html',
				'attr'     => 'data-loadingtimeout'
			)
		)
	);

} else {

	$fields[] = array(
		'id'      => 'general_features',
		'section' => 'general',
		'type'    => 'xt-premium',
		'default' => array(
			'type'  => 'image',
			'value' => $this->core->plugin_url() . 'admin/customizer/assets/images/general.png',
			'link'  => $this->core->plugin_upgrade_url()
		)
	);
}