<?php

$fields[] = array(
	'id' => 'cart_zindex_desktop',
	'section'   => 'visibility',
	'label' => esc_html__('Cart Z-Index', 'woo-floating-cart'),
	'description' => esc_html__('Set the stack order for the cart. An element with greater stack order is always in front of an element with a lower stack order. Use this option to adjust the cart order if for some reason it is not visible on your theme or maybe being overlapped by other elements', 'woo-floating-cart'),
	'type' => 'slider',
	'choices' => array(
		'min' => '999',
		'max' => '99999',
		'step' => '9',
	),
	'priority' => 10,
	'default' => '90200',
	'transport' => 'auto',
	'screen' => 'desktop',
	'output' => array(
		array(
			'element' => '.xt_woofc::before',
			'property' => 'z-index'
		),
		array(
			'element' => '.xt_woofc-inner',
			'value_pattern' => 'calc($ + 1000)',
			'property' => 'z-index',
		),
		array(
			'element' => '.xt_woofc-trigger',
			'value_pattern' => 'calc($ + 2000)',
			'property' => 'z-index'
		),
        array(
            'element' => '.xt_woofc-fly-to-cart',
            'value_pattern' => 'calc($ + 2000)!important',
            'property' => 'z-index'
        ),
        array(
            'element' => '.select2-container',
            'value_pattern' => 'calc($ + 2000)!important',
            'property' => 'z-index'
        ),
	)
);

$fields[] = array(
    'id' => 'cart_zindex_tablet',
    'section'   => 'visibility',
    'label' => esc_html__('Cart Z-Index', 'woo-floating-cart'),
    'description' => esc_html__('Set the stack order for the cart. An element with greater stack order is always in front of an element with a lower stack order. Use this option to adjust the cart order if for some reason it is not visible on your theme or maybe being overlapped by other elements', 'woo-floating-cart'),
    'type' => 'slider',
    'choices' => array(
        'min' => '999',
        'max' => '99999',
        'step' => '9',
    ),
    'priority' => 10,
    'default' => '90200',
    'transport' => 'auto',
    'screen' => 'tablet',
    'output' => array(
        array(
            'element' => '.xt_woofc::before',
            'property' => 'z-index'
        ),
        array(
            'element' => '.xt_woofc-inner',
            'value_pattern' => 'calc($ + 1000)',
            'property' => 'z-index',
        ),
        array(
            'element' => '.xt_woofc-trigger',
            'value_pattern' => 'calc($ + 2000)',
            'property' => 'z-index'
        ),

    )
);

$fields[] = array(
    'id' => 'cart_zindex_mobile',
    'section'   => 'visibility',
    'label' => esc_html__('Cart Z-Index', 'woo-floating-cart'),
    'description' => esc_html__('Set the stack order for the cart. An element with greater stack order is always in front of an element with a lower stack order. Use this option to adjust the cart order if for some reason it is not visible on your theme or maybe being overlapped by other elements', 'woo-floating-cart'),
    'type' => 'slider',
    'choices' => array(
        'min' => '999',
        'max' => '99999',
        'step' => '9',
    ),
    'priority' => 10,
    'default' => '90200',
    'transport' => 'auto',
    'screen' => 'mobile',
    'output' => array(
        array(
            'element' => '.xt_woofc::before',
            'property' => 'z-index'
        ),
        array(
            'element' => '.xt_woofc-inner',
            'value_pattern' => 'calc($ + 1000)',
            'property' => 'z-index',
        ),
        array(
            'element' => '.xt_woofc-trigger',
            'value_pattern' => 'calc($ + 2000)',
            'property' => 'z-index'
        ),

    )
);

if ( $this->core->access_manager()->can_use_premium_code__premium_only() ) {

	$fields[] = array(
		'id'          => 'hidden_on_pages',
		'section'     => 'visibility',
		'label'       => esc_html__( 'Hide cart on these pages', 'woo-floating-cart' ),
		'description' => esc_html__( 'Note: The cart is automatically disabled on WooCommerce native cart / checkout pages', 'woo-floating-cart' ),
		'type'        => 'select',
		'multiple'    => 999,
		'choices'     => XT_Framework_Customizer_Options::get_page_options(),
		'priority'    => 10,
		'default'     => ''
	);

	$fields[] = array(
		'id'       => 'visible_on_empty',
		'section'  => 'visibility',
		'label'    => esc_html__( 'Keep visible on empty', 'woo-floating-cart' ),
		'type'        => 'radio-buttonset',
		'choices'     => array(
			'0' => esc_html__( 'No', 'woo-floating-cart' ),
			'1' => esc_html__( 'Yes', 'woo-floating-cart' )
		),
		'default'  => '0',
		'priority' => 10
	);

	$fields[] = array(
		'id'       => 'visibility',
		'section'  => 'visibility',
		'label'    => esc_html__( 'Device Visibility', 'woo-floating-cart' ),
		'type'     => 'radio',
		'choices'  => array(
			'show-on-mobile-only'    => esc_attr__( 'Show on mobile only', 'woo-floating-cart' ),
			'show-on-tablet-mobile'  => esc_attr__( 'Show on tablet and mobile', 'woo-floating-cart' ),
			'show-on-tablet-desktop' => esc_attr__( 'Show on tablet and desktop', 'woo-floating-cart' ),
			'show-on-desktop-only'   => esc_attr__( 'Show on desktop only', 'woo-floating-cart' ),
			'show-on-all'            => esc_attr__( 'Show on all', 'woo-floating-cart' ),
		),
		'default'  => 'show-on-all',
		'priority' => 10
	);

} else {

	$fields[] = array(
		'id'      => 'visibility_features',
		'section' => 'visibility',
		'type'    => 'xt-premium',
		'default' => array(
			'type'  => 'image',
			'value' => $this->core->plugin_url() . 'admin/customizer/assets/images/visibility.png',
			'link'  => $this->core->plugin_upgrade_url()
		)
	);
}