# Xirki Customizer Framework #
**Contributors:** [davidvongries](https://profiles.wordpress.org/davidvongries), [aristath](https://profiles.wordpress.org/aristath), [dannycooper](https://profiles.wordpress.org/dannycooper), [wplemon](https://profiles.wordpress.org/wplemon), [igmoweb](https://profiles.wordpress.org/igmoweb)  
**Tags:** customizer, options framework, theme, mods, toolkit, gutenberg  
**Requires at least:** 4.9  
**Tested up to:** 5.5  
**Stable tag:** 3.1.5  
**License:** MIT  
**License URI:** https://opensource.org/licenses/MIT  

The ultimate customizer framework for WordPress theme developers.

## Description ##

[![Build Status](https://travis-ci.org/xplodedthemes/xirki.svg?branch=develop)](https://travis-ci.org/xplodedthemes/xirki) [![Code Climate](https://codeclimate.com/github/xplodedthemes/xirki/badges/gpa.svg)](https://codeclimate.com/github/xplodedthemes/xirki) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/66d6d8b6a4654cd18686ed1cd9f1bfb3)](https://www.codacy.com/app/xplodedthemes/xirki?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=xplodedthemes/xirki&amp;utm_campaign=Badge_Grade) [![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/xplodedthemes/xirki/badges/quality-score.png?b=develop)](https://scrutinizer-ci.com/g/xplodedthemes/xirki/?branch=develop)

[Xirki](https://xplodedthemes.com/?utm_source=repo&utm_medium=description&utm_campaign=xirki) allows theme developers to build themes quicker & more easily.

With over **30 custom controls** ranging from simple sliders to complex typography controls with Google-Fonts integration and features like automatic CSS & `postMessage` script generation, Xirki makes theme development a breeze.

### Features ###
* Increased Performance
* Simplified API
* Automatic CSS Generation
* Automatic postMessage Generation
* Partial Refresh
* Conditional Logic
* GDPR Compliance
* Improved Page Speed
* & more!

### Controls ###

* [Background Customizer Control](https://xplodedthemes.com/docs/controls/background)
* [Checkbox Customizer Control](https://xplodedthemes.com/docs/controls/checkbox)
* [Code Customizer Control](https://xplodedthemes.com/docs/controls/code)
* [Color Palette Customizer Control](https://xplodedthemes.com/docs/controls/color-palette)
* [Color Customizer Control](https://xplodedthemes.com/docs/controls/color)
* [Custom Customizer Control](https://xplodedthemes.com/docs/controls/custom)
* [Dashicons Customizer Control](https://xplodedthemes.com/docs/controls/dashicons)
* [Date Customizer Control](https://xplodedthemes.com/docs/controls/date)
* [Dropdown Pages Customizer Control](https://xplodedthemes.com/docs/controls/dropdown-pages)
* [Editor Customizer Control](https://xplodedthemes.com/docs/controls/editor)
* [Generic Customizer Control](https://xplodedthemes.com/docs/controls/generic)
* [Image Customizer Control](https://xplodedthemes.com/docs/controls/image)
* [Link Customizer Control](https://xplodedthemes.com/docs/controls/link)
* [Multiple Checkbox Customizer Control](https://xplodedthemes.com/docs/controls/multicheck)
* [Multicolor Customizer Control](https://xplodedthemes.com/docs/controls/multicolor)
* [Number Customizer Control](https://xplodedthemes.com/docs/controls/number)
* [Radio Buttonset Customizer Control](https://xplodedthemes.com/docs/controls/radio-buttonset)
* [Radio Image Customizer Control](https://xplodedthemes.com/docs/controls/radio-image)
* [Radio Customizer Control](https://xplodedthemes.com/docs/controls/radio)
* [Repeater Customizer Control](https://xplodedthemes.com/docs/controls/repeater)
* [Select Customizer Control](https://xplodedthemes.com/docs/controls/select)
* [Slider Customizer Control](https://xplodedthemes.com/docs/controls/slider)
* [Sortable Customizer Control](https://xplodedthemes.com/docs/controls/sortable)
* [Spacing Customizer Control](https://xplodedthemes.com/docs/controls/spacing)
* [Switch Customizer Control](https://xplodedthemes.com/docs/controls/switch)
* [Text Customizer Control](https://xplodedthemes.com/docs/controls/text)
* [Textarea Customizer Control](https://xplodedthemes.com/docs/controls/textarea)
* [Toggle Customizer Control](https://xplodedthemes.com/docs/controls/toggle)
* [Typography Customizer Control](https://xplodedthemes.com/docs/controls/typography)
* [Upload Customizer Control](https://xplodedthemes.com/docs/controls/upload)

### Theme Example ###

[Page Builder Framework](https://xplodedthemes.com?utm_source=xirki&utm_medium=repo&utm_campaign=wpbf)'s customizer settings are a prime example of what can be achieved with Xirki.

Conditional Logic, Partial Refresh, postMessage and a variety of controls - It has all of it.

### Documentation ###

You can find detailed documentation on how to use Xirki on [xirki.org](https://xplodedthemes.com/?utm_source=repo&utm_medium=description&utm_campaign=xirki)

### Xirki PRO ###

Xirki PRO is currently in development. You can [sign up for the waiting list](https://xplodedthemes.com/pricing/?utm_source=repo&utm_medium=description&utm_campaign=xirki) here to be notified about updates.

### Disclaimer ###

Theme developers should be familiar with the Customizer API before starting to build a theme using Xirki. An excellent handbook for the WordPress Customizer can be found on the [developer.wordpress.org](https://developer.wordpress.org/themes/customize-api/) website.

## Installation ##

Simply install as a normal WordPress plugin and activate.

If you want to integrate Xirki in your theme or plugin, please read the instructions on [our documentation site](https://xplodedthemes.com/docs/integration).

## Changelog ##

### 3.1.5 - August 10, 2020 ###

* Tested up to WordPress 5.5.
* Fixed: Added wp-i18n dependency to alpha color picker script.
* Fixed: Color picker styles.
* Fixed: Color picker styles in background control.
* Fixed: Color picker styles in multicolor control.

[See the previous changelogs here](https://github.com/xplodedthemes/xirki/blob/master/CHANGELOG.md).
